# Uses of Enum
org.apache.sling.contentparser.json.JSONParserFeature

## Uses of JSONParserFeature in org.apache.sling.contentparser.json

Fields in org.apache.sling.contentparser.json with type parameters of type JSONParserFeature
Modifier and Type
Field
Description
`static final Set<JSONParserFeature>`
JSONParserOptions.`DEFAULT_JSON_PARSER_FEATURES`
List of JSON parser features activated by default.
Methods in org.apache.sling.contentparser.json that return JSONParserFeature
Modifier and Type
Method
Description
`static JSONParserFeature`
JSONParserFeature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JSONParserFeature[]`
JSONParserFeature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.contentparser.json that return types with arguments of type JSONParserFeature
Modifier and Type
Method
Description
`Set<JSONParserFeature>`
JSONParserOptions.`getFeatures()`
Returns a copy of the features encapsulated by this instance.
Methods in org.apache.sling.contentparser.json with parameters of type JSONParserFeature
Modifier and Type
Method
Description
`JSONParserOptions`
JSONParserOptions.`withFeatures(JSONParserFeature... value)`
Set the features the JSON parser should apply when parsing files.
Method parameters in org.apache.sling.contentparser.json with type arguments of type JSONParserFeature
Modifier and Type
Method
Description
`JSONParserOptions`
JSONParserOptions.`withFeatures(Set<JSONParserFeature> value)`
Set the features the JSON parser should apply when parsing files.